Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 587325 - Do not nest singleton resources in autogroups in the left nav tree
Do not nest singleton resources in autogroups in the left nav tree
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
:
Depends On:
Blocks: jon24-naming
  Show dependency treegraph
 
Reported: 2010-04-29 11:37 EDT by Lukas Krejci
Modified: 2010-08-12 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:57:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2010-04-29 11:37:19 EDT
Description of problem:

The new tree creates an autogroup for every resource type. It has been found that doing this for singletons creates unnecessary clicking because there is only ever going to be a single singleton of given type (under a parent).

As part of this change, revisit all the singleton resources in all plugins and make sure they are assigned names that clearly identify them (which hopefully is the case already).

Steps to Reproduce:
1. View a page with left nav tree (for example a summary page of a resource)
2. All resources should be nested inside autogroups except the singleton resources
  
Additional info:

The only way to find a singleton resource is to look in the plugin desciptor inside the plugin jars (META-INF/rhq-plugin.xml) and look for a resource type with singleton="true" attribute.
Comment 1 Lukas Krejci 2010-04-30 10:59:40 EDT
Implemented in commit 98d7db9 (currently in bugfixes branch).
Comment 2 gneelaka@redhat.com 2010-05-03 11:32:59 EDT
Tested on JON#123 Revision: 10615

this build does not contain the fix so moving it to modified.
Comment 3 gneelaka@redhat.com 2010-05-06 11:26:38 EDT
tested on JON#124 Revision:10615

Steps:

1)View the page with left navigation tree.
2)RHQ agent appears twice as three box structure as well as terminal structure.

this build does not seem to contain the fix so moving it back to on_dev.
Comment 5 Rajan Timaniya 2010-05-19 05:51:40 EDT
Verified on JON build #154 - Revision: 10620
http://hudson-qe.rhq.rdu.redhat.com:8080/job/jon/154/

Steps:
1) Install JON (build #154) and agent
2) All resources shows nested inside autogroups except the singleton
resources
Comment 6 Corey Welton 2010-08-12 12:57:24 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.